curl --request GET \
--url https://api.treasuryprime.com/invoice_account_number \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/invoice_account_number"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/invoice_account_number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "acct_1234567890",
"account_number": "1234567890",
"active": true,
"bank_id": "bank_treasuryprime",
"id": "acctnum_1234567890",
"org_id": "org_1234567890",
"tags": [],
"userdata": null
}
]
}List Account Numbers
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
ID of the account with which the object is associated. Filterable.
Flag indicating whether payments with this account number will post. Defaults to true. Filterable.
Tags associated with the object. Filterable.
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size invoice_account_number elements, starting after the invoice_account_number described by page_cursor. If no more invoice_account_numbers are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?